Skip to main content
`Ctrl`+`K`

# numpy.repeat

numpy.repeat(a, repeats, axis=None)

  Repeat each element of an array after themselves

  Parameters:
    a array_like

      Input array.

    repeats int or array of ints

      The number of repetitions for each element. repeats is broadcasted to fit the shape of the given axis.

    axis int, optional

      The axis along which to repeat values. By default, use the flattened input array, and return a flat output array.

  Returns:
    repeated_array ndarray

      Output array which has the same shape as a, except along the given axis.

  See also

  `tile`

    Tile an array.

  `unique`

    Find the unique elements of an array.

  Examples

      >>> import numpy as np
      >>> np.repeat(3, 4)
      array([3, 3, 3, 3])
      >>> x = np.array([[1,2],[3,4]])
      >>> np.repeat(x, 2)
      array([1, 1, 2, 2, 3, 3, 4, 4])
      >>> np.repeat(x, 3, axis=1)
      array([[1, 1, 1, 2, 2, 2],
             [3, 3, 3, 4, 4, 4]])
      >>> np.repeat(x, [1, 2], axis=0)
      array([[1, 2],
             [3, 4],
             [3, 4]])